<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ssm.manage.mapper.CancelDebtMxMapper">

    <resultMap type="com.ssm.manage.entity.CancelDebtMx" id="CancelDebtMxMap">
        <result property="id" column="id" jdbcType="INTEGER"/>
        <result property="courseId" column="course_id" jdbcType="INTEGER"/>
        <result property="cancelMoney" column="cancel_money" jdbcType="NUMERIC"/>
        <result property="cancelNum" column="cancel_num" jdbcType="INTEGER"/>
        <result property="cancelDebtId" column="cancel_debt_id" jdbcType="INTEGER"/>
        <result property="courseProjectId" column="course_project_id" jdbcType="INTEGER"/>
        <result property="courseProjectName" column="course_project_name" jdbcType="VARCHAR"/>
        <result property="courseProjectNum" column="course_project_num" jdbcType="VARCHAR"/>
        <result property="debtMoney" column="debt_money" jdbcType="NUMERIC"/>
        <result property="debtCount" column="debt_count" jdbcType="INTEGER"/>
        <result property="docPromotionId" column="doc_promotion_id" jdbcType="INTEGER"/>

        <result property="beforePrice" column="before_rice" jdbcType="NUMERIC"/>
        <result property="beforeRestMoney" column="before_rest_money" jdbcType="NUMERIC"/>
        <result property="beforeConsumeMoney" column="before_consume_money" jdbcType="NUMERIC"/>
        <result property="beforeGiftRestMoney" column="before_gift_rest_money" jdbcType="NUMERIC"/>
        <result property="beforeGiftConsumeMoney" column="before_gift_consume_money" jdbcType="NUMERIC"/>
        <result property="beforeRestCount" column="before_rest_count" jdbcType="INTEGER"/>
        <result property="beforeConsumeCount" column="before_consume_count" jdbcType="INTEGER"/>

        <result property="backPrice" column="back_rice" jdbcType="NUMERIC"/>
        <result property="backRestMoney" column="back_rest_money" jdbcType="NUMERIC"/>
        <result property="backConsumeMoney" column="back_consume_money" jdbcType="NUMERIC"/>
        <result property="backGiftRestMoney" column="back_gift_rest_money" jdbcType="NUMERIC"/>
        <result property="backGiftConsumeMoney" column="back_gift_consume_money" jdbcType="NUMERIC"/>
        <result property="backRestCount" column="back_rest_count" jdbcType="INTEGER"/>
        <result property="backConsumeCount" column="back_consume_count" jdbcType="INTEGER"/>
    </resultMap>

</mapper>

